<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_2d885755f5913deb2b5a483bd6" . "7611d1" => base64_decode("Y2ZnX2xvY2FsX2RhdG" . "FfZGly"), "_19d1237a6" . "19f7b35ad6" . "dbebf025f1" . "7c8" => base64_decode("c3R" . "yY2" . "1w"), "_5e9a99dc0dd49b907abf1b3" . "5e96965f8" => base64_decode("dHJpbQ=" . "="), "_644b798b19dd133ec9211fb" . "916df032b" => base64_decode("ZmlsZV9nZXRfY2" . "9udGVudHM="), "_ca831b25ce" . "7fffea9cf44" . "1f762c7d154" => base64_decode("ZmlsZV9leGlzdH" . "M="), "_72f158add48659f67a9d" . "f82de6646312" => base64_decode("c3lzdGV" . "tX2NhY2" . "hlX2NsZ" . "WFyZWQ="), "_927fa79e65" . "e272737620f" . "5a863f058ae" => base64_decode("L2NhY2h" . "lX2NsZW" . "FyZWQuZ" . "GF0"), "_8a36a84baeffc0" . "085672f9bf9c064" . "f67" => base64_decode("ZmlsZV9wd" . "XRfY29udG" . "VudHM="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_2d885755f" . "5913deb2b5" . "a483bd6761" . "1d1"]) . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_927fa79e65e272737620f5a86" . "3f058ae"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_72f158add48659f67a9df82de" . "6646312"], false);
        if ($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_ca831b25ce7fffea" . "9cf441f762c7d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5e9a99dc0dd49b907abf1" . "b35e96965f8"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_644b798b19dd133ec" . "9211fb916df032b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_19d1237a619f7" . "b35ad6dbebf025" . "f17c8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8a36a84baeffc0085672f9bf9c06" . "4f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_72f158add4" . "8659f67a9df" . "82de6646312"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}